%
%  Georges Bank Neil Brown CTD Data

% The preceding empty line is important
% $Log: gbnfctd.m,v $
% Revision 1.1  1999/06/01 07:10:31  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:05  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbnfctd.m,v 1.1 1999/06/01 07:10:31 dbyrne Exp $
%  klee 03/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/nmfsctd'; %don't forget to add year afterwards 
CatalogServer = nan;
Cat_m_File = 'gbbdctdc';
URL_m_File = 'gbnfctdu';

LonRange = [-71.41 -65.62];
LatRange = [40.28 42.37];
TimeRange = [1992.39059645 1995.39713644];
DepthRange = [0.0 87];
Resolution = nan;

DodsName1 = str2mat('year','yrday1_gmt','press','lat','lon');
DodsName = str2mat('temp','sal','flur','eventno','cast');
DataName = 'Water Column - Georges Bank CTD Data - NMFS/GLOBEC';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = str2mat('year','yrday1_gmt');         
DepthName = 'press';
DepthUnits = 'Meters';
SelectableVariables = str2mat('Sea_Temp','Salinity','Fluorescence');
%TextField = str2mat('AL9805');
OptionalVariables = nan;

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                            Georges Bank CTD Data              ',...
'   ',...
'                   Parameter         Description                    Units',...
'                 ----------------------------------------------------------',...
'                   year              2-digit year (92,93,94,or 95)  year',...
'                   ship              1st letter in ship name        character',...
'                   instrument        "ctd_nb"(nbrown) or "ctd_sb" (seabird)   ',...
' pi                1st initial & last name (jmanning)               name',...
' eventno           event number  (al14594.001)                      nd',...
' gyd_range         gmt yearday range for particular event           decimayd:decyd',...
' lyd_range         local yearday range for particular event         decimayd:decyd',...
' lon_range         longtitude range for particular event            decdeg:decdeg',...
' lat_range         lattitude range for particular event             decdeg:decdeg',...
' CTD_range         range of CTD cast #''s in event                   cast#:cast#',...
' sd_range          max sample depth range for  event                meters:meters',...
' CTD_range         range of CTD cast #''s in event                   cast#:cast#',...
' oper              operation number (transect, grid, bongo)         code 1,2 3',...
' oper_num          consecutive operation of this type               integer',...
' site              designated site (mixed, strat, drifter)          text descript.',...
' comments          comments                                         text descript.',...
' gyd               gmt yearday                                      decimal yd',...
' lyd               local yd                                         local yd',...
' cast              cast #                                           integer',...
' lon               longitude                                        decimal degrees',...
' lat               latitude                                         decimal degrees',...
' press             pressure                                         meters',...
' temp              temperature                                      degC',...
' sal               salinity                                         PSU',...
' flur              fluorescence                                     volts ',...
'   ',...
'The WHOI/Millard/Limeburner CTD processing routines were used on 1995 data. ',...
'They are calibrated with Niskin bottles. The salt correction and rms differences are posted ',...
'at the top of each data file. Prior to 1995, the data posted here is preliminary General ',...
'Oceanics CTDPOST output and did not require a salt correction (<0.01 psu mean difference).');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: May. 22, 1992 (1992.39059645)', ...
'         Ending_Date:    May. 25, 1995 (1995.39713644)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 71.4190 W ', ...
'              East Bounding Coordinate: 65.6177 W ', ...
'              South Bounding Coordinate: 40.2875 N ', ...
'              North Bounding Coordinate: 42.3604 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               James Manning', ...
'               NMFS',...
'               Woods Hole, MA 02543',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > jmanning@whsun1.wh.whoi.edu',...
'               FAX: 508-495-2258 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];